#!/bin/bash
################################################# 
# ETHERNET SCRIPT GENERATOR
# TODO:
#	read data from sqlite
#	setting ethernet
#################################################

# Please use these predefined variable
source $MX_SCRIPT_PATH/mx_global.sh
source $MX_SCRIPT_PATH/snmp/global.sh

table=$mx_serial_table
gb_debug_enable=0
gb_print_enable=0

#################################################
# STARTING POINT:
#################################################

ids=`gb_sql_query "SELECT id FROM $table WHERE status=1"`

for id in $ids ; do
	port=`expr $id - 1`
	type=`gb_sql_query "SELECT type FROM $table WHERE id=$id"`

	if [ "$type" == "0" ]; then # RS232
		muestty -i RS232 /dev/ttyMUE$port $type
	elif [ "$type" == "1" ]; then # RS485-2W
		muestty -i RS4852W /dev/ttyMUE$port $type
	elif [ "$type" == "2" ]; then # RS422
		muestty -i RS422 /dev/ttyMUE$port $type
	elif [ "$type" == "3" ]; then # RS485-4W
		muestty -i RS4854W  /dev/ttyMUE$port $type
	fi

	gb_sql_query "UPDATE $table set status=0 WHERE id=$id"
done

gb_control_table_clear $table

